/* -*- Mode: C; c-file-style: "gnu" -*-
   filedialog.c -- native methods for sun/awt/motif/MFileDialogPeer..
   Created: Chris Toshok <toshok@hungry.com>, 14-Sep-1998.
 */
/*
  This file is part of Japhar, the GNU Virtual Machine for Java Bytecodes.
  Japhar is a project of The Hungry Programmers, GNU, and OryxSoft.

  Copyright (C) 1998 The Hungry Programmers

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */

#include "jni.h"

#include "common.h"
#include <Xm/Xm.h>

#include <assert.h>
#include <stdlib.h>

JNIEXPORT void JNICALL
Java_sun_awt_motif_MFileDialogPeer_create(JNIEnv *env,
					  jobject peer,
					  jobject parent_peer)
{
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MFileDialogPeer_pReshape(JNIEnv *env,
					    jobject peer,
					    jint x,
					    jint y,
					    jint width,
					    jint height)
{
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MFileDialogPeer_pDispose(JNIEnv *env,
					    jobject peer)
{
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MFileDialogPeer_pShow(JNIEnv *env,
					 jobject peer)
{
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MFileDialogPeer_pHide(JNIEnv *env,
					 jobject peer)
{
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MFileDialogPeer_setFileEntry(JNIEnv *env,
						jobject peer,
						jstring file,
						jstring directory)
{
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MFileDialogPeer_setFont(JNIEnv *env,
					   jobject peer,
					   jobject font)
{
}
